package com.gic.haoban.manage.service.dao.mapper.hm;

import com.gic.haoban.manage.service.entity.hm.TabHaobanHmPage;
import com.gic.haoban.manage.service.pojo.qo.HmPageTemplateQO;

import java.util.List;

public interface TabHaobanHmPageMapper {

    int insert(TabHaobanHmPage record);

    TabHaobanHmPage selectByPrimaryKey(Long templateId);

    int updateByPrimaryKeySelective(TabHaobanHmPage record);

    /**
     * 条件查询 活码落地页模板
     *
     * @param pageTemplateQo
     * @return
     */
    List<TabHaobanHmPage> queryHmPageTemplateList(HmPageTemplateQO pageTemplateQo);
}